import * as core from "@terrascript/core";

export interface GatewayAttachmentArgs extends core.ResourceArgs {
  vpcId: string | core.StringOut;

  vpnGatewayId: string | core.StringOut;
}

export class GatewayAttachment extends core.Resource<GatewayAttachmentArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public vpcId!: string | core.StringOut;

  @core.attr(String)
  public vpnGatewayId!: string | core.StringOut;

  constructor(name: string, args?: GatewayAttachmentArgs) {
    super(name, "aws_vpn_gateway_attachment", args);
  }

  public override getNamespace(): string {
    return "aws_vpn";
  }
}
